<?php

require_once ("../../config/Cado.php");

require_once ("../cotizacion/cCotizacionpago.php");

$oCotizacionpago = new cCotizacionpago();

require_once ("../ingreso/cIngreso.php");

$oIngreso = new cIngreso();

require_once ("../formatos/formato.php");





$dts1=$oCotizacionpago->filtrar($_POST['cotid']);

$num_rows= mysqli_num_rows($dts1);

?>

<script type="text/javascript">

$(function() {

	

}); 

</script>

<style>

	div#tabla_pago_detalle { margin: 0 0; }

	div#tabla_pago_detalle table { margin: 0 0; border-collapse: collapse;}

	div#tabla_pago_detalle table td, div#tabla_pago_detalle table th { border: 1px solid #eee; padding: 3px 8px; font-size:10px; }

	div#tabla_pago_detalle table th { height:16px }

</style>



 <div class="table-responsive">		

<div class="col-lg-12 col-md-12 col-xs-12 " >

				

<div id="tabla_pago_detalle" class="ui-widget">

<table class="ui-widget ui-widget-content">

    <thead>

        <tr class="ui-widget-header">

          	<th>FORMA</th>

          	<th>MODO</th>

          	<th>DETALLE</th>

          	<!--

			<th align="right" nowrap="nowrap">MONTO</th>

          	<th align="right" nowrap="nowrap">ABONO</th>

			<th align="right" nowrap="nowrap">SALDO</th>

			<th>ESTADO</th>

			-->

        </tr>

    </thead>

    <tbody>

    <?php

	while($dt1 = mysqli_fetch_array($dts1))

	{

		$monto = $dt1['tb_cotizacionpago_mon'];	

		$abonos=0;



		$mod_id=3;

		$est=1;

		$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$dt1['tb_cotizacionpago_id'],$est);

		$num_rows3= mysqli_num_rows($dts3);

		while($dt3 = mysqli_fetch_array($dts3))

		{

			$abonos+= $dt3['tb_ingreso_imp'];

		} 

		mysqli_free_result($dts3);



		$saldo = ($monto - $abonos);

	?>

        <tr>

            <td>

				<?php 

					if($dt1['tb_formapago_id']==1)echo 'CONTADO';

					if($dt1['tb_formapago_id']==2)echo 'CREDITO';

				?>

            </td>

            <td>

            	<?php 

					if($dt1['tb_modopago_id']==1)echo 'EFECTIVO';

					if($dt1['tb_modopago_id']==2)echo 'TARJETA';

					if($dt1['tb_modopago_id']==3)echo 'DEPOSITO';

				?>

			</td>

			<td align="right">

				<?php

					//CREDITO

					if($dt1['tb_formapago_id']==2)echo 'A '.$dt1['tb_cotizacionpago_numdia'].' días | Vencimiento: '.mostrarFecha($dt1['tb_cotizacionpago_fecven']);

					

					//TARJETA

					if($dt1['tb_modopago_id']==2)echo $dt1['tb_tarjeta_nom'].' N° Operación: '.$dt1['tb_ventapago_numope'];



					//DEPOSITO

					if($dt1['tb_modopago_id']==3)echo $dt1['tb_cuentadeposito_nom'].' N° Operación: '.$dt1['tb_ventapago_numope'];	

				?>

			</td>

			<!--

			<td align="right" nowrap="nowrap"><?php echo formato_money($dt1['tb_cotizacionpago_mon'])?></td>

			<td align="right" nowrap="nowrap"><?php echo formato_money($abonos);?></td>

			<td align="right" nowrap="nowrap"><?php echo formato_money($saldo)?></td>

			<td><?php 

					if($dt1['tb_cotizacionpago_est']==1)echo '<span style="font-size:10px;" class="label label-success">Cancelado</span>';

					if($dt1['tb_cotizacionpago_est']==2)echo '<span style="font-size:10px;" class="label label-danger">Por Cobrar</span>';

				?>

			</td>

			-->

        </tr>

    <?php						

    }

    mysqli_free_result($dts1);

    ?>

    </tbody>

</table>

</div>

</div>

</div>